﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZhonTai.Admin.Services.DiTuiAPI.Dto.ObserveDto
{
    public class ObserveInput
    {
        /// <summary>
        /// 操作系统
        /// </summary>
        public string Os { get; set; }
        /// <summary>
        /// OS 版本
        /// </summary>
        public string OsVersion { get; set; }
        /// <summary>
        /// 机型
        /// </summary>
        public string Model { get; set; }
        /// <summary>
        /// 语言
        /// </summary>
        public string Lang { get; set; }
        /// <summary>
        /// 国家
        /// </summary>
        public string Country { get; set; }
        /// <summary>
        /// 屏幕宽（像素）
        /// </summary>
        public string Width { get; set; }
        /// <summary>
        /// 屏幕高（像素）
        /// </summary>
        public string Height { get; set; }
        /// <summary>
        /// 广告所在apk包名
        /// </summary>
        public string Pkg { get; set; }
        /// <summary>
        /// 应用版本
        /// </summary>
        public string AppVersion { get; set; }

        public string Useragent { get; set; }
        public string Referer { get; set; }
        // 2-客户端参数
        /// <summary>
        /// 网络类型
        /// </summary>
        public string NetType { get; set; }
        /// <summary>
        /// 运营商
        /// </summary>
        public string Carrier { get; set; }
        /// <summary>
        /// 播放进度，单位为毫秒，视频广告时有效
        /// </summary>
        public string Progress { get; set; }
        // 3-服务端参数
        /// <summary>
        /// IMEI
        /// </summary>
        public string Imei { get; set; }
        /// <summary>
        /// OAID 原值
        /// </summary>
        public string OAID { get; set; }
        // 5-服务端参数
        /// <summary>
        /// 广告ID
        /// </summary>
        public long AdId { get; set; }
        /// <summary>
        /// 广告名称，需要urlencode
        /// </summary>
        public string AdName { get; set; }
        /// <summary>
        /// 请求ID
        /// </summary>
        public string ReqId { get; set; }
    }
}
